Notifications
Clear all

Autocad Tips TTT

13 Posts
7 Users
0 Reactions
6 Views
(@perry-williams)
Posts: 2187
Registered
Topic starter
 

Sure was a great thread last week on Autocad tips. I picked up a couple things I have used dozens of times already.

Using the EXTEND and TRIM commands and holding down the SHIFT key (to temporarily switch from EXTEND to TRIM or from TRIM to extend is a real time-saver.

Also typing in the first few letters of a command and hitting the TAB key to auto-finish the command also is useful.

One of the biggest timesvers I learned a couple years ago is using the function keys to switch toggle between ORTHO mode (F8) and SNAP (F3). These are also real time savers.

 
Posted : August 10, 2011 4:06 am
 RFB
(@rfb)
Posts: 1504
Registered
 

Here's an oldie that you may already be aware of:

The change command, it's not just for properties, if you pick a line, you can change it's endpoint.

So, if I want two lines to meet, but they don't, I hit C (for change) pick the line, then snap to the end point of another line. And now they meet perfectly.

I use this a lot when trying to join lines into a polyline, this will ensure that the ends are identical.

It isn't new, but it was new to me.

:coffee:

 
Posted : August 10, 2011 4:48 am
(@jered-mcgrath-pls)
Posts: 1376
Registered
 

I have and use a little lisp routine for rotating the cross hairs called snap rotate. By typing SNA I can simply select two points on a line (nearest, osnap setting is automatically set) or enter a value.

One can achieve the same thing using the SNAPANG command that is precanned in autocad but that takes more steps. You can see in the SNA lisp pasted below, it uses the SNAPANG command.

This Snap Rotate command is courtesy of PSOMAS in So Cal, One of my former employers, so I leave the credit in the routine.

Of course with any lisp routine it must be loaded first. I have it in my startup routine.
;***************************************************************************

; SNA.LSP
; Matthew J. Caraway
; Psomas & Assoc
; 4-13-94
; Routine Allows User To Enter Desired Snap Angle or Pick Desired Snap Angle

(defun C:SNA ()
(setvar "osmode" 512)
(setq snpa1 (getvar "snapang"))
(princ "nnCurrent SNAP ANGLE: ")(princ (angtos snpa1))(princ )
(setq snpa (getangle "nn or Pick Points For Desired Angle: "))
;(setq snpa (entsel))
; (command "ucs" "e" snpa )
(if (equal snpa nil)
(setq snpa snpa1)
)
(setvar "snapang" snpa)
(setvar "osmode" 0)
(princ "nnNew SNAP ANGLE: ")(princ (angtos snpa))(princ )
)
; end of SNA.lsp

;***************************************************************************

Another great tool in cad, especially for the novice user who hasn't been privy to all the precanned aliases, is the ALIASEDIT tool.
Type in your command line and up pops a dialog box showing you all of the Quick Alias's that invoke commands. You can print out the list or add to it. I personally love to use a quick 3 letter combination to invoke an autocad command rather than find it in the tool bar, menu pallet, or typing out the whole text of the command.

Last thought for the moment.
Have you ever used the ALT button to access commands from the MenuBar?:-) IE... if you are doing surface manipulation you could use your mouse to select commands from the menubar, or Toolpallet in C3d but I find a quicker way is to memorize the ALT key sequence. If I want to delete a point from the surface I type ALT UEI.

 
Posted : August 10, 2011 4:49 am
 RFB
(@rfb)
Posts: 1504
Registered
 

I've got something similar, maybe better.

XHAIRSNP

You just pick the line to rotate the crosshairs, invoke the command again to return the crosshairs to normal.

You need these two files: XHAIRSNP.LSP & PER.LSP

(defun c:xhairsnp ()
(load"per")
(if (= 0 (getvar "snapang"))(per)(pr))
)

(defun per ()
(graphscr)
(setq ans1 (entget (car (entsel "nSelect line to rotate to: "))))
(setq pt1 (cdr (assoc 10 ans1)))
(setq pt2 (cdr (assoc 11 ans1)))
(setq pt3 (angle pt1 pt2) )
(setvar "snapang" pt3)
(setvar "orthomode" 1)
(princ)
)

(defun pr ()
(setq pt1 '(0 0))
(setvar "snapbase" pt1)
(setvar "snapang" 0)
(setvar "orthomode" 0)
(setq ans1 nil pt1 nil pt2 nil pt3 nil)
)
(princ)

Save the above code and name it as I said, then put this in your menu:

(if(not c:xhairsnp)(load"xhairsnp")) C:XHAIRSNP

 
Posted : August 10, 2011 5:03 am
(@stephen-ward)
Posts: 2246
Registered
 

You can also achieve the same result by grip editing. For example, left click on the line you wish to edit, left click on the grip for the end of the line you want to move, snap to the end point of the second line. I find using the grips to be quicker and more convenient but I'm sure I will have occasion to use the Change command as well.

 
Posted : August 10, 2011 5:06 am
(@perry-williams)
Posts: 2187
Registered
Topic starter
 

RFB

> Here's an oldie that you may already be aware of:
>
> The change command, it's not just for properties, if you pick a line, you can change it's endpoint.
>
> So, if I want two lines to meet, but they don't, I hit C (for change) pick the line, then snap to the end point of another line. And now they meet perfectly.
>

>
> :coffee:

On may Acad/Carlson typing "C" draws a circle. Am I doing something wrong?

If I understand you correctly, I do the same thing by clicking on the line and lighting up the grips. then I just click the grip on the endpoint of the line and snap it into the endpoint of the other line to join them.

EDIT: Exactly the way Stephen Ward does it.

 
Posted : August 10, 2011 6:06 am
(@stephen-ward)
Posts: 2246
Registered
 

RFB

Depends on what your command alias for the "Change" command is. On my system "c" is for circle and "ch" is for change. As another poster noted, these aliases can be edited to suit your preferences.

 
Posted : August 10, 2011 6:30 am
(@perry-williams)
Posts: 2187
Registered
Topic starter
 

RFB

> Depends on what your command alias for the "Change" command is. On my system "c" is for circle and "ch" is for change. As another poster noted, these aliases can be edited to suit your preferences.

Got it. CH brings up the change properties dialog box. It is a little quicker that right-clicking and then left clicking on Properties.

Certainly, learning the commands is an easy way to improve efficiency. might as well use the left hand for something.

 
Posted : August 10, 2011 6:43 am
(@steve-adams)
Posts: 406
 

I didn't know until recently that you can recall previous commands by hitting the "up" arrow button on the keyboard.

 
Posted : August 10, 2011 7:56 am
(@stephen-ward)
Posts: 2246
Registered
 

Or right click on your mouse depending on your settings under Options, User Preferences, Right Click Customization.

 
Posted : August 10, 2011 8:23 am
(@perry-williams)
Posts: 2187
Registered
Topic starter
 

> I didn't know until recently that you can recall previous commands by hitting the "up" arrow button on the keyboard.

In Carlson ACAD 2009, if I right click on a blank space, I can select RECENT COMMANDS and pick from a list of the last 20 or so commands I used

 
Posted : August 10, 2011 8:47 am
(@georges)
Posts: 359
Registered
 

a good trick from an instructor

repeat the same letter for commands customization

keyboard is faster then the pull-down menu and/or icon.

example:

LL (LA)
CC (CUBE)
QQ (QUICKPRO)
etc.

 
Posted : August 10, 2011 11:07 am
(@the-pseudo-ranger)
Posts: 2369
 

For Snaps

I made a button in my main toolbar, near the line and arc command, with this in it. Those are the common snaps I use (you can put anything you like in there), so anytime I click on it, it activates them all as if I had typed the osnap command and done it manually. By putting an apostrophie (sp?) in front of the command, the button can be used at anytime (I think) without kicking you out of an open command.

'-osnap end,node,mid,cen,int,perp

 
Posted : August 11, 2011 7:32 pm